package nc.itf.hi.ws.IPsnInfoQueryWs;

public class IPsnInfoQueryWsPortTypeProxy implements nc.itf.hi.ws.IPsnInfoQueryWs.IPsnInfoQueryWsPortType {
  private String _endpoint = null;
  private nc.itf.hi.ws.IPsnInfoQueryWs.IPsnInfoQueryWsPortType iPsnInfoQueryWsPortType = null;
  
  public IPsnInfoQueryWsPortTypeProxy() {
    _initIPsnInfoQueryWsPortTypeProxy();
  }
  
  public IPsnInfoQueryWsPortTypeProxy(String endpoint) {
    _endpoint = endpoint;
    _initIPsnInfoQueryWsPortTypeProxy();
  }
  
  private void _initIPsnInfoQueryWsPortTypeProxy() {
    try {
      iPsnInfoQueryWsPortType = (new nc.itf.hi.ws.IPsnInfoQueryWs.IPsnInfoQueryWsLocator()).getIPsnInfoQueryWsSOAP11port_http();
      if (iPsnInfoQueryWsPortType != null) {
        if (_endpoint != null)
          ((javax.xml.rpc.Stub)iPsnInfoQueryWsPortType)._setProperty("javax.xml.rpc.service.endpoint.address", _endpoint);
        else
          _endpoint = (String)((javax.xml.rpc.Stub)iPsnInfoQueryWsPortType)._getProperty("javax.xml.rpc.service.endpoint.address");
      }
      
    }
    catch (javax.xml.rpc.ServiceException serviceException) {}
  }
  
  public String getEndpoint() {
    return _endpoint;
  }
  
  public void setEndpoint(String endpoint) {
    _endpoint = endpoint;
    if (iPsnInfoQueryWsPortType != null)
      ((javax.xml.rpc.Stub)iPsnInfoQueryWsPortType)._setProperty("javax.xml.rpc.service.endpoint.address", _endpoint);
    
  }
  
  public nc.itf.hi.ws.IPsnInfoQueryWs.IPsnInfoQueryWsPortType getIPsnInfoQueryWsPortType() {
    if (iPsnInfoQueryWsPortType == null)
      _initIPsnInfoQueryWsPortTypeProxy();
    return iPsnInfoQueryWsPortType;
  }
  
  public java.lang.String queryPsnTrainInfo(java.lang.Integer pageno, java.lang.Integer pagesize) throws java.rmi.RemoteException{
    if (iPsnInfoQueryWsPortType == null)
      _initIPsnInfoQueryWsPortTypeProxy();
    return iPsnInfoQueryWsPortType.queryPsnTrainInfo(pageno, pagesize);
  }
  
  public java.lang.String queryPsnWorkInfo(java.lang.Integer pageno, java.lang.Integer pagesize) throws java.rmi.RemoteException{
    if (iPsnInfoQueryWsPortType == null)
      _initIPsnInfoQueryWsPortTypeProxy();
    return iPsnInfoQueryWsPortType.queryPsnWorkInfo(pageno, pagesize);
  }
  
  public java.lang.String queryPsnJobInfo(java.lang.Integer pageno, java.lang.Integer pagesize) throws java.rmi.RemoteException{
    if (iPsnInfoQueryWsPortType == null)
      _initIPsnInfoQueryWsPortTypeProxy();
    return iPsnInfoQueryWsPortType.queryPsnJobInfo(pageno, pagesize);
  }
  
  public java.lang.String queryPsnInfo(java.lang.Integer pageno, java.lang.Integer pagesize) throws java.rmi.RemoteException{
    if (iPsnInfoQueryWsPortType == null)
      _initIPsnInfoQueryWsPortTypeProxy();
    return iPsnInfoQueryWsPortType.queryPsnInfo(pageno, pagesize);
  }
  
  
}